### Hierarchy

- RecordingProperties

## Index

### Properties

- customLayout
- name
- recordingLayout

## Properties

### Optional customLayout

customLayout: string

- Defined in RecordingProperties.ts:36

If recordingLayout is `CUSTOM`, the relative path to the specific custom layout you want to use. See Custom recording layouts to learn more

### Optional name

name: string

- Defined in RecordingProperties.ts:25

The name you want to give to the video file. You can access this same value in your clients on recording events (`recordingStarted`, `recordingStopped`)

### Optional recordingLayout

recordingLayout: RecordingLayout

- Defined in RecordingProperties.ts:30

The layout to be used in the recording

Generated using TypeDoc